Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND > Struct Template Reference

`#include <BD_String_SArgument_T.h>`

Inheritance diagram for TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND >:

[legend]
List of all members.

## Public Types
typedef T * | ret_type
typedef const T * | in_type
typedef T *& | inout_type
typedef T_out | out_type
typedef In_BD_String_SArgument_T< T, T_var, to_T, from_T, BOUND > | in_sarg_val
typedef Inout_BD_String_SArgument_T< T, T_var, to_T, from_T, BOUND > | inout_arg_val
typedef Out_BD_String_SArgument_T< T, T_var, T_out, to_T, from_T, BOUND > | out_arg_val
typedef Ret_BD_String_SArgument_T< T, T_var, to_T, from_T, BOUND > | ret_val

### template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND>
struct TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND >

## Member Typedef Documentation

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND>
typedef In_BD_String_SArgument_T<T, T_var, to_T, from_T, BOUND> TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND >::in_sarg_val

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND>
typedef const T* TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND >::in_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND>
typedef Inout_BD_String_SArgument_T<T, T_var, to_T, from_T, BOUND> TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND >::inout_arg_val

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND>
typedef T*& TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND >::inout_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND>
typedef Out_BD_String_SArgument_T<T, T_var, T_out, to_T, from_T, BOUND> TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND >::out_arg_val

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND>
typedef T_out TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND >::out_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND>
typedef T* TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND >::ret_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND>
typedef Ret_BD_String_SArgument_T<T, T_var, to_T, from_T, BOUND> TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND >::ret_val

The documentation for this struct was generated from the following file:

- BD_String_SArgument_T.h